Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ProcessChatJoinRequests

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ProcessChatJoinRequests

Enclosing class:
  TdApi

public static final class TdApi.ProcessChatJoinRequests extends TdApi.Function<TdApi.Ok>
Handles all pending join requests for a given link in a chat.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`approve`
Pass true to approve all requests; pass false to decline them.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`inviteLink`
Invite link for which to process join requests.

## Constructor Summary

Constructors
Constructor
Description
`ProcessChatJoinRequests()`
Handles all pending join requests for a given link in a chat.
`ProcessChatJoinRequests(long chatId, String inviteLink, boolean approve)`
Handles all pending join requests for a given link in a chat.
`ProcessChatJoinRequests(DataInput input)`
Handles all pending join requests for a given link in a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### inviteLink

public String inviteLink
Invite link for which to process join requests. If empty, all join requests will be processed. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

### approve

public boolean approve
Pass true to approve all requests; pass false to decline them.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ProcessChatJoinRequests

public ProcessChatJoinRequests()
Handles all pending join requests for a given link in a chat.

Returns `Ok`

### ProcessChatJoinRequests

public ProcessChatJoinRequests(long chatId, String inviteLink, boolean approve)
Handles all pending join requests for a given link in a chat.

Returns `Ok`

Parameters:
  `chatId` - Chat identifier.
  `inviteLink` - Invite link for which to process join requests. If empty, all join requests will be processed. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.
  `approve` - Pass true to approve all requests; pass false to decline them.

  Returns `Ok`

### ProcessChatJoinRequests

public ProcessChatJoinRequests(DataInput input) throws IOException
Handles all pending join requests for a given link in a chat.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`